<?php

namespace Property\Property;

use User;

class Property
{
    /**
     * $property_lists object.
     */
    protected $property_lists;

    /**
     * Constructor.
     */
    public function __construct(\Property\Property\Interfaces\PropertyListsRepositoryInterface $property_lists)
    {
        $this->property_lists = $property_lists;
    }

    /**
     * Returns count of property.
     *
     * @param array $filter
     *
     * @return int
     */
    public function count()
    {
        return  0;
    }

    /**
     * Make gadget View
     *
     * @param string $view
     *
     * @param int $count
     *
     * @return View
     */
    public function gadget($view = 'admin.property_lists.gadget', $count = 10)
    {

        if (User::hasRole('user')) {
            $this->property_lists->pushCriteria(new \Litepie\Property\Repositories\Criteria\PropertyListsUserCriteria());
        }

        $property_lists = $this->property_lists->scopeQuery(function ($query) use ($count) {
            return $query->orderBy('id', 'DESC')->take($count);
        })->all();

        return view('property::' . $view, compact('property_lists'))->render();
    }
}
