<?php

namespace Property\Property\Repositories\Presenter;

use League\Fractal\TransformerAbstract;
use Hashids;

class PropertyListsTransformer extends TransformerAbstract
{
    public function transform(\Property\Property\Models\PropertyLists $property_lists)
    {
        return [
            'id'                => $property_lists->getRouteKey(),
            'key'               => [
                'public'    => $property_lists->getPublicKey(),
                'route'     => $property_lists->getRouteKey(),
            ], 
            'Title'             => $property_lists->Title,
            'Description'       => $property_lists->Description,
            'url'               => [
                'public'    => trans_url('property/'.$property_lists->getPublicKey()),
                'user'      => guard_url('property/property_lists/'.$property_lists->getRouteKey()),
            ], 
            'status'            => trans('app.'.$property_lists->status),
            'created_at'        => format_date($property_lists->created_at),
            'updated_at'        => format_date($property_lists->updated_at),
        ];
    }
}