<?php

namespace Property\Property\Workflow;

use Property\Property\Models\PropertyLists;
use Property\Property\Notifications\PropertyListsWorkflow as PropertyListsNotifyer;
use Notification;

class PropertyListsNotification
{

    /**
     * Send the notification to the users after complete.
     *
     * @param PropertyLists $property_lists
     *
     * @return void
     */
    public function complete(PropertyLists $property_lists)
    {
        return Notification::send($property_lists->user, new PropertyListsNotifyer($property_lists, 'complete'));;
    }

    /**
     * Send the notification to the users after verify.
     *
     * @param PropertyLists $property_lists
     *
     * @return void
     */
    public function verify(PropertyLists $property_lists)
    {
        return Notification::send($property_lists->user, new PropertyListsNotifyer($property_lists, 'verify'));;
    }

    /**
     * Send the notification to the users after approve.
     *
     * @param PropertyLists $property_lists
     *
     * @return void
     */
    public function approve(PropertyLists $property_lists)
    {
        return Notification::send($property_lists->user, new PropertyListsNotifyer($property_lists, 'approve'));;

    }

    /**
     * Send the notification to the users after publish.
     *
     * @param PropertyLists $property_lists
     *
     * @return void
     */
    public function publish(PropertyLists $property_lists)
    {
        return Notification::send($property_lists->user, new PropertyListsNotifyer($property_lists, 'publish'));;
    }

    /**
     * Send the notification to the users after archive.
     *
     * @param PropertyLists $property_lists
     *
     * @return void
     */
    public function archive(PropertyLists $property_lists)
    {
        return Notification::send($property_lists->user, new PropertyListsNotifyer($property_lists, 'archive'));;

    }

    /**
     * Send the notification to the users after unpublish.
     *
     * @param PropertyLists $property_lists
     *
     * @return void
     */
    public function unpublish(PropertyLists $property_lists)
    {
        return Notification::send($property_lists->user, new PropertyListsNotifyer($property_lists, 'unpublish'));;

    }
}
